/* classic Rexx version, ---rgf, 2003-02, 2003-05-10 */
/* this version works on Java 1.1 too (because using "wrapEnumeration()") */

   -- get the "System" class object using the services set up by "BSF.cls", e.g. ".bsf4rexx"
system=.bsf4rexx ~class.class ~forName('java.lang.System')
properties=system~getProperties                 -- get the System properties
enum=properties~propertyNames                   -- get an Enumeration of the property names

   -- wrap the Enumeration object, so Java 1.1 can handle this too
   -- use result to embed it in one of the "BSF.cls" Object Rexx classes, so one can send
   -- Object Rexx messages directly to it (routine "bsf.checkResult" does this for us)
enum=bsf.checkResult(bsf('wrapEnumeration', enum))
say copies("=", 70)

do while enum~hasMoreElements                   --  loop over enumeration
   key=enum~nextElement                         -- get next element
   say "key:" left("["key"]", 30) "value: ["properties~getProperty(key)"]"
end

::requires "BSF.cls" -- get the OO-support for "BSF4Rexx"
