/* This is a simple demo of a Rexx (modelled after the JavaScript) script that
   uses the Java URL class to download some content from some URL. rgf, 2003-02-17, 2003-05-10 */

URL_ADDR = "http://www.RexxLA.org/";
say "connecting to:" URL_ADDR
url=.bsf~new("java.net.URL", URL_ADDR)    -- create a java.net.URL instance
content = url~getContent                  /* get the content object, a <java.io.FilterInputStream> */
say "Downloading .. "

size=8*1024    -- use chunks of maximum 8 KB
byteArray=.bsf4rexx~array.class~newInstance(.bsf4rexx~byte, size)

len=""
do until len=-1
   len=content~read(byteArray, 0, size)   -- read the content into the byte array
               -- create a Java String off the byte-array, use the read bytes as its length
   if len>0 then .output~charout(left(.bsf~new("java.lang.String", byteArray)~toString, len))
end

::requires "BSF.cls"    -- Object Rexx wrapper classes
